package com.zehong.quartz.task;

import com.zehong.system.domain.TSpecialDocument;
import com.zehong.system.mapper.TSpecialDocumentMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import com.zehong.common.utils.StringUtils;

/**
 * 定时任务调度测试
 * 
 * @author zehong
 */
@Component("ryTask")
public class RyTask
{
    @Autowired
    private TSpecialDocumentMapper tSpecialDocumentMapper;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        Long[] ids = tSpecialDocumentMapper.selectDocumentIds();
        if(ids.length>0){
            tSpecialDocumentMapper.updateExpire(ids);
        }

        System.out.println("执行无参方法");
    }
}
